# jexists

Test if a Scilab Java Object is valid on the Java side

## Calling Sequence

                bool = jexists(obj)

## Parameters

obj

  A mlist typed _JObj or _JClass

bool

  A boolean

## Description

Returns true if the corresponding Java object is always valid. An object can be invalidated with jremove.

## Examples

    	       jimport java.lang.Double;
    	       d = Double.new("1.23456");
    	       jexists(d)
    	       jremove d;
    	       jexists(d) // Will fail

## See Also

- jremove

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.